com.here.msdkui.routing

## Enum ManeuverItemView.Section

- java.lang.Object
- - java.lang.Enum<ManeuverItemView.Section>
  - - com.here.msdkui.routing.ManeuverItemView.Section

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ManeuverItemView.Section>
  Enclosing class:
    ManeuverItemView

      public static enum ManeuverItemView.Section
      extends java.lang.Enum<ManeuverItemView.Section>

  Describes all available sections that the `ManeuverItemView` can show.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESS` Address
    `DISTANCE` Distance
    `ICON` Icon
    `INSTRUCTIONS` Instructions

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttrValue()`
    `static ManeuverItemView.Section` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ManeuverItemView.Section[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ICON

          public static final ManeuverItemView.Section ICON

      Icon

    - #### INSTRUCTIONS

          public static final ManeuverItemView.Section INSTRUCTIONS

      Instructions

    - #### ADDRESS

          public static final ManeuverItemView.Section ADDRESS

      Address

    - #### DISTANCE

          public static final ManeuverItemView.Section DISTANCE

      Distance

  - ### Method Detail

    - #### values

          public static ManeuverItemView.Section[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ManeuverItemView.Section c : ManeuverItemView.Section.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ManeuverItemView.Section valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAttrValue

          public int getAttrValue()